﻿
@using Jumbula.Web.WebLogic.UserService
@model DisplayCartViewModel
@{
    ViewBag.Title = "Check out";
    var isNotValid = Request.QueryString["isNotValid"] != null ? Request.QueryString["isNotValid"].ToString() : string.Empty;
    var message = Request.QueryString["message"] != null ? Request.QueryString["message"].ToString() : string.Empty;
    var IsEmpty = Request.QueryString["IsEmpty"] != null ? Request.QueryString["IsEmpty"].ToString() : string.Empty;
    var isPaidOrCanceled = Request.QueryString["isPaidOrCanceled"] != null ? Request.QueryString["isPaidOrCanceled"].ToString() : string.Empty;
    var actionCaller = Request.QueryString["actionCaller"] != null ? Jumbula.Common.Helper.EnumHelper.ParseEnum<JumbulaSubSystem>(Request.QueryString["actionCaller"]) : JumbulaSubSystem.Order;

}

<div id="cart">
    <div id="contentContainer" class="container @(Model.IsTestMode ? "test-mode-style" : string.Empty)">
        <div class="row">
            <section class="col-sm-12">
                <div id="cartSection full-width">

                    @if (Model.PaymentModel.ActionCaller == JumbulaSubSystem.Order)
                    {


                        if (Model.Cart.IsEmpty || IsEmpty == "True")
                        {
                            @Html.Partial("_Empty")
                        }

                        if (Model.Cart.Order.PreregisterItems.Any())
                        {
                            Model.PreregistrationMode = CartPreregistrationMode.Initiated;

                            @Html.Partial("_Items", Model)
                        }

                        if (Model.Cart.Order.LotteryItems.Any())
                        {
                            Model.LotteryMode = CartLotteryMode.Initiated;

                            @Html.Partial("_Items", Model)
                        }

                        <div class="clearfix"></div>

                        if (Model.Cart.Order.RegularOrderItems.Any())
                        {
                            Model.PreregistrationMode = CartPreregistrationMode.None;
                            Model.LotteryMode = CartLotteryMode.None;

                            @Html.Partial("_Items", Model)
                        }
                    }

                    <div class="clearfix"></div>

                    @if (Model.OrderMode == OrderMode.Offline && this.GetCurrentUserRoleType() == RoleCategoryType.Dashboard)
                    {
                        <div id="paymentPlan" class="panel panel-warning">
                            <div class="panel-heading">
                                <h3 class="panel-title">How do you want to take the payment?<a class="anchorjs-link" href="#paymentPlan"><span class="anchorjs-icon"></span></a></h3>
                            </div>
                            <div class="panel-body">
                                <ul class="list-unstyled">
                                    <li>
                                        <div class="radio">
                                            <label>
                                                @Html.RadioButtonFor(model => model.OfflinePaymentNow, "false", new { id = "OfflineOrderPayment_0" })
                                                <span class="check"></span>I will handle the payment later.
                                            </label>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="radio">
                                            <label>
                                                @*@if (Model.Cart.Order != null && Model.Cart.Order.RegularOrderItems.Where(c => c.ItemStatus != OrderItemStatusCategories.deleted).Count() > 1)
                                                    {
                                                        @Html.RadioButtonFor(model => model.OfflinePaymentNow, "true", new { id = "OfflineOrderPayment_1", disabled = "disabled" })
                                                        <span class="check"></span>
                                                        <text>I want to take the payment now.</text>
                                                        <span class="label label-warning">This option is disabled, because you have more than one item in your cart. Please complete your order first, then redirect to your dashboard and use "Take a payment" feature for every single item of your cart to handle the payment.</span>
                                                    }
                                                    else
                                                    {*@
                                                @Html.RadioButtonFor(model => model.OfflinePaymentNow, "true", new { id = "OfflineOrderPayment_1" })
                                                <span class="check"></span>
                                                <text>I want to take the payment now.</text>
                                                @*}*@
                                            </label>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>

                        <div class="clearfix"></div>

                        @Html.Hidden("Token", Model.PaymentModel.Token, new { id = "hdnToken" })
                        @Html.Hidden("CreateTokenResponse", Model.PaymentModel.CreateTokenResponse, new { id = "hdnCreateTokenResponse" })
                        @Html.Hidden("ConfirmationId", Model.PaymentModel.ConfirmationId, new { id = "hdnConfirmationId" })
                        @Html.Hidden("UserId", Model.PaymentModel.UserId, new { id = "hdnUserId" })
                        @Html.Hidden("ActionCaller", Model.PaymentModel.ActionCaller, new { id = "hdnActionCaller" })
                        @Html.Hidden("IsFamilyTakePayment", Model.PaymentModel.IsFamilyTakePayment, new { id = "hdnIsFamilyTakePayment" })
                        @Html.Hidden("CreditId", Model.PaymentModel.CreditId, new { id = "hdnCreditId" })
                        @Html.Hidden("PayableAmount", Model.PaymentModel.PayableAmount, new { id = "hdnPayableAmount" })
                    }

                    @Html.Partial("_Footer", Model)

                    <div class="clearfix"></div>
                </div>

            </section>
        </div>


    </div>
</div>

@section Styles{

    @Styles.Render("~/bundles/CartStyles")

}

@section Scripts{

    <script type="text/javascript" src="https://js.stripe.com/v2/"></script>
    <script src="https://cdn.plaid.com/link/v2/stable/link-initialize.js"></script>

    @Scripts.Render("~/bundles/CartScripts")

    <script src="~/Scripts/Libraries/jQuery/jquery.plugin.min.js"></script>
    <script src="~/Scripts/Libraries/jQuery/jquery.countdown.min.js"></script>

    <script type="text/javascript">

        $(document).ready(function (e) {

            @if (Model.Cart.Order.PreregisterItems.Any())
            {
              <text>

            function reloadPage() {
                location.reload();
            }

            function ahead5Mins() {
                var server = new Date('@DateTime.UtcNow');
                return server;
            }

            $(function () {

                var liftoffTime = new Date('@Model.PreRegisterTime');
                $('#defaultCountdown').countdown(
                     {
                         until: liftoffTime,
                         onTick: reloadPage,
                         tickInterval: 3600,
                         layout: '<b>{dn} {dl} {hnn}{sep}{mnn}{sep}{snn}</b> {desc}',
                         serverSync: ahead5Mins
                     });
            });

            </text>
           }

        });
        //End document ready

    </script>


    @if (Model.Cart.Order.RegularOrderItems.Any() || actionCaller != JumbulaSubSystem.Order)
    {
        @Html.Partial("_Scripts", Model)
    }
}
